Package org.postgresql

# Interface PGResultSetMetaData

All Known Implementing Classes:
  `PgResultSetMetaData`

public interface PGResultSetMetaData

## Method Summary

Modifier and Type
Method
Description
`String`
`getBaseColumnName(int column)`
Returns the underlying column name of a query result, or "" if it is unable to be determined.
`String`
`getBaseSchemaName(int column)`
Returns the underlying schema name of query result, or "" if it is unable to be determined.
`String`
`getBaseTableName(int column)`
Returns the underlying table name of query result, or "" if it is unable to be determined.
`int`
`getFormat(int column)`
Is a column Text or Binary?

## Method Details

### getBaseColumnName

String getBaseColumnName(int column) throws SQLException
Returns the underlying column name of a query result, or "" if it is unable to be determined.

Parameters:
  `column` - column position (1-based)
Returns:
  underlying column name of a query result
Throws:
  `SQLException` - if something wrong happens
Since:
  8.0

### getBaseTableName

String getBaseTableName(int column) throws SQLException
Returns the underlying table name of query result, or "" if it is unable to be determined.

Parameters:
  `column` - column position (1-based)
Returns:
  underlying table name of query result
Throws:
  `SQLException` - if something wrong happens
Since:
  8.0

### getBaseSchemaName

String getBaseSchemaName(int column) throws SQLException
Returns the underlying schema name of query result, or "" if it is unable to be determined.

Parameters:
  `column` - column position (1-based)
Returns:
  underlying schema name of query result
Throws:
  `SQLException` - if something wrong happens
Since:
  8.0

### getFormat

int getFormat(int column) throws SQLException
Is a column Text or Binary?

Parameters:
  `column` - column position (1-based)
Returns:
  0 if column data format is TEXT, or 1 if BINARY
Throws:
  `SQLException` - if something wrong happens
Since:
  9.4
See Also:
  - `Field.BINARY_FORMAT`
  - `Field.TEXT_FORMAT`